/* ------ Input Form ------ */
.maklar-form {
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
  padding-bottom: 20px;
  width: 420px;
  margin: 0px 20px 20px 5em;
  background-color: #fafafa;
  text-align: center;
  box-shadow: 1 1 20px #111;
  border-radius: 1em;
  border-width: 1px;
  border: 2px solid #1A2C6367;
  display: inline-block;
  position: relative;
}

.step {
  width: inherit;
  display: none;
}

.step.active {
  display: block;
}

.form-question {
  font-size: 15px;
  font-weight: bolder;
  font-family: Ardent-Sans;
  margin-top: 0px;
  margin-bottom: 10px;
  margin-left: 40px;
  text-align: left;
}

.form-question-centered {
  font-size: 15px;
  font-weight: bolder;
  font-family: Ardent-Sans;
  margin-top: 0px;
  margin-bottom: 15px;
  text-align: center;
}

.maklar-form h1 {
  margin: 20px;
  color: #262323;
  display: block;
  text-align: center;
  font-size: 2.3em;
  font-family: RNSCamelia;
  letter-spacing: 2px;
}

.form-ctrl {
  width: auto;
  display: -ms-inline-grid;
  display: inline-grid;
  position: relative;
  -ms-grid-columns: repeat(3, 2fr);
  grid-template-columns: repeat(3, 2fr);
}

.checkbox {
  display: block;
  margin: 0 auto;
}

.custom-checkbox input {
  display: none;
}

.custom-checkbox input:checked + .radio-btn {
  border: 3px solid #1A2C63;
}

.custom-checkbox input:checked + .radio-btn > i {
  opacity: 1;
  transform: translateX(-50%) scale(1);
}

.radio-btn {
  margin: 8px;
  width: 90px;
  height: 110px;
  border: 3px solid transparent;
  border-radius: 15px;
  display: inline-block;
  position: relative;
  text-align: center;
  background: transparent;
  box-shadow: 6px 6px 14px 0 rgba(0, 0, 0, 0.2), -8px -8px 18px 0 rgba(255, 255, 255, 0.55);
  cursor: pointer;
}

.radio-btn > i {
  color: #fff;
  background-color: #1A2C63;
  font-size: 18px;
  position: absolute;
  top: -15px;
  left: 50%;
  transform: translateX(-50%) scale(2);
  border-radius: 50px;
  padding: 3px;
  transition: 0.1s;
  pointer-events: none;
  opacity: 0;
}

.radio-btn .subject-icon {
  width: 80px;
  height: 80px;
  position: absolute;
  top: 40%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.rad {
  margin-top: 15px;
}

.rad img {
  width: 60px;
  height: 60px;
  -o-object-fit: contain;
     object-fit: contain;
}

.radio-btn h3 {
  color: #1A2C63;
  font-size: 0.7em;
  font-weight: bold;
  text-transform: uppercase;
  text-align: center;
  margin-top: 90px;
}

.lower {
  margin-top: 10px;
  display: -ms-inline-grid;
  display: inline-grid;
  position: relative;
  width: inherit;
}

.lower label {
  margin-bottom: 17px;
}

.form-question-field {
  margin-left: 50px;
  margin-right: 50px;
  border: 2px solid #1A2C6387;
  border-radius: 5px;
  height: 40px;
  box-sizing: border-box;
  display: inline-flex;
  font-size: 1.1rem;
  cursor: pointer;
  box-shadow: 0 0 10px #c3c3c397;
}

.form-question-fields {
  justify-content: center;
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
  display: flex;
  flex-grow: 0;
  flex-shrink: 0;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
}

.form-question-fields label {
  margin: 0;
  margin-top: 20px;
  margin-right: -28px;
  flex-grow: 0;
  flex-basis: 33%;
  padding-left: 30px;
}

.big-field {
  flex-grow: 0;
  flex-shrink: 0;
  flex-basis: 70%;
  margin-top: 15px;
}

.medium-field {
  flex-grow: 0;
  flex-shrink: 0;
  flex-basis: 60%;
  margin-top: 15px;
}

.small-field {
  margin: 10px 5px 0px 5px;
  width: 70px;
  flex-grow: 5%;
  flex-shrink: 5%;
  flex-basis: 10%;
  margin-top: 15px;
}

.form-question-field[aria-invalid="true"] {
  border: 2px solid #c96f6f;
  border-radius: 5px;
}

.form-question-field {
  border: 2px solid #1A2C63;
}

#gatuadress {
  margin: 5px 5px 10px 0;
}

#kvadrat {
  margin: 5px 5px 10px 5px;
  flex-grow: 0;
  flex-shrink: 0;
  flex-basis: 15%;
}

#kvadrat::-webkit-inner-spin-button {
  -webkit-appearance: none;
}

#antalrum {
  margin: 5px 5px 5px 5px;
  flex-grow: 0;
  flex-shrink: 0;
  flex-basis: 25%;
}

#postnummer {
  margin: 5px 5px 5px 5px;
  flex-grow: 0;
  flex-shrink: 0;
  flex-basis: 14%;
}

#postnummer::-webkit-inner-spin-button {
  -webkit-appearance: none;
}

#meddelande {
  font-family: RNSSanz;
  font-size: 0.8em;
  margin: 0;
  height: 120px;
  font-size: 1.2em;
  min-width: 340px;
  max-width: 340px;
  min-height: 78px;
  max-height: 200px;
}

#fullname {
  margin-top: 0px;
}

#telefon {
  -webkit-appearance: none;
}

input[type=number] {
  -moz-appearance: textfield;
}

#dropdownquestion {
  flex-basis: 34%;
  margin: 28px 0 0 0;
}

#kontaktopt {
  margin-top: 15px;
  margin-left: 5px;
  margin-right: 0px;
}

#comply-text {
  margin-top: 5px;
  margin-left: 55px;
  margin-right: 40px;
  text-align: left;
  font-family: RNSSanz;
  line-height: 1.2em;
}

#comply-radio {
  margin-right: 5px;
  padding: 5px;
  cursor: pointer;
  width: 15px;
  height: 15px;
}

.next-button {
  padding: 0.4em 0.8em 0.4em 0.8em;
  margin-top: 17px;
  background-color: #1A2C63;
  border-style: none;
  border-radius: 5px;
  -webkit-appearance: none;
  font-size: 1.1em;
  font-weight: bolder;
  font-family: Ardent-Sans;
  letter-spacing: 2px;
  color: #fff;
  box-shadow: 0px 1px 10px rgba(0, 0, 0, 0.3);
  cursor: pointer;
}

.next-button:hover {
  color: #bbbbbb;
}

.maklar-form #last {
  display: block;
  width: 100%;
}

#next-button {
  position: relative;
  display: inline;
  position: static;
  vertical-align: sub;
}

#prev-button {
  background: none;
  color: inherit;
  border: none;
  padding: 0;
  font-size: 1em;
  font-family: Ardent-Sans;
  cursor: pointer;
  text-decoration: underline;
  display: block;
  margin-left: 40px;
  margin-top: -26px;
}

.field-error {
  border: 2px solid #c96f6f;
  border-radius: 5px;
}

.field-error-thin {
  border: 1px solid #c96f6f;
  border-radius: 5px;
  padding: 5px;
}

.error-message {
  color: #bd3535;
  font-family: Ardent-Sans;
  font-size: small;
  border-radius: 5px;
  border-bottom-right-radius: 5px;
}

.field-accepted {
  background-color: #e8f0fe;
}

.field-accepted:focus {
  outline: none;
}

.p-t-5 {
  padding-top: 5px;
}

#error-property {
  top: 10px;
}

/* ------ Input Form ------ */
#m2 {
  position: absolute;
  top: 207px;
  right: 79px;
  font-family: Arial;
  font-size: 1.1rem;
  color: #262323;
}

#kvadrat[type=number] {
  -moz-appearance: textfield;
}

#postnummer[type=number] {
  -moz-appearance: textfield;
}

/* ------ js Valid ------ */
.hidden {
  display: none !important;
}

.show {
  display: initial !important;
}

.show2 {
  display: block !important;
}

/* ------ js Valid ------ */
/* ------ Login Stuff ------ */
.normal-text {
  font-family: RNSSanz;
  line-height: 1em;
}

.status-text {
  font-family: RNSSanz;
  line-height: 1em;
  margin-left: 40px;
  margin-right: 40px;
}

.checkbox-style-1 {
  margin-right: 5px;
  padding: 5px;
  cursor: pointer;
  width: 15px;
  height: 15px;
}

.w-450 {
  width: 450px;
}

.force-text-center {
  text-align: center !important;
  margin-right: 0px;
  margin-left: 0px;
  padding: 0px !important;
}

#sida-status {
  font-size: 1em;
  font-family: Ardent-Sans;
  display: block;
  float: right;
  margin-right: 40px;
  margin-top: -20px;
}

@media only screen and (max-device-width: 930px) {
  .maklar-form {
    margin-left: 20px;
  }
}

@media only screen and (max-device-width: 850px) {
  .maklar-form {
    -ms-grid-row-align: center;
    align-self: center;
    -ms-grid-column-align: center;
        justify-self: center;
  }
}

@media only screen and (max-device-width: 400px) {
  .form-ctrl {
    width: auto;
    -ms-grid-columns: repeat(2, 3fr);
    grid-template-columns: repeat(2, 3fr);
  }
  .rad {
    margin-top: 0px;
  }
  #gatuadress {
    flex-basis: 30% !important;
  }
  #background {
    min-height: 1300px;
    resize: both;
  }
  .marginal {
    min-height: 1300px;
  }
  .maklar-form .next-button {
    width: 100px;
  }
  .form-question-fields label {
    margin: 0px;
    flex-basis: 33%;
    padding: 0px;
    float: right;
  }
  label[for=antalrum] {
    margin-top: 20px;
  }
  .form-question-fields {
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    padding-left: 0em;
    padding-right: 0em;
    width: auto;
    flex-basis: 70%;
  }
  #gatuadress {
    max-width: 180px;
  }
  #antalrum {
    max-width: 70px;
  }
}

@media only screen and (max-device-width: 470px) {
  .maklar-form {
    width: auto;
  }
  .maklar-form h1 {
    font-size: 1.6em;
  }
  .form-question-fields {
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
  }
  #whentosell {
    width: auto !important;
    margin-left: 0px !important;
    margin-right: 0px !important;
  }
  #prev-button {
    margin-left: 10px;
  }
  #sida-status {
    margin-right: 10px;
  }
  .left-intro {
    margin-left: 0.8em;
    margin-right: 0.8em;
  }
  .radio-btn {
    width: 5em;
    padding-bottom: 0.5em;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
  }
  .cookie-consent__message {
    font-size: 0.8em;
  }
  .radio-btn h3 {
    font-size: 0.6em;
  }
  #m2 {
    display: none;
  }
  .form-question {
    font-size: 0.8em;
    padding-left: 3em;
    padding-bottom: 0.3em;
    margin: 0px;
  }
  .radio-btn .subject-icon {
    width: 100%;
    height: 60px;
  }
  .radio-btn .subject-icon i {
    color: #1A2C63;
    margin-top: 0px;
    line-height: 60px;
    font-size: 4em;
  }
  .radio-btn .subject-icon img {
    margin-top: 0px;
    -o-object-fit: cover;
       object-fit: cover;
  }
  .rad {
    margin-top: 0px;
  }
  #meddelande {
    min-width: 280px !important;
    max-width: 340px;
    margin-left: 1em !important;
    margin-right: 1em !important;
  }
}
